/*
 * This file is part of Industrial Wires.
 * Copyright (C) 2016-2018 malte0811
 * Industrial Wires is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * Industrial Wires is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * You should have received a copy of the GNU General Public License
 * along with Industrial Wires.  If not, see <http://www.gnu.org/licenses/>.
 */

package malte0811.industrialWires.util;

public final class NBTKeys {

	//General
	public static final String ENERGY = "energy";
	public static final String BUFFER = "buffer";
	public static final String DIRECTION = "dir";
	public static final String TYPE = "type";
	public static final String BUFFER_IN = "inBuffer";
	public static final String BUFFER_OUT = "outBuffer";
	public static final String VERSION = "version";

	//Control panels
	public static final String HEIGHT = "height";
	public static final String ANGLE = "angle";
	public static final String COLOR = "color";
	public static final String RS_CHANNEL = "rsChannel";
	public static final String RS_ID = "rsId";
	public static final String HAS_SECOND_CHANNEL = "has2ndChannel";
	public static final String RS_CHANNEL2 = "rsChannel2";
	public static final String RS_ID2 = "rsId2";
	public static final String TEXT = "text";
	public static final String HORIZONTAL = "horizontal";
	public static final String LENGTH = "length";
	public static final String LATCHING = "latching";
	public static final String WIDE = "wide";
	public static final String LOCK_ID = "lockId";
	public static final String RING_KEYS = "ringkeys";
	public static final String NAME = "name";
	public static final String ID = "cfgId";
	public static final String VALUE = "value";

	//HV
	public static final String STAGES = "stages";
	public static final String HAS_CONN = "hasConn";
	public static final String CAP_VOLTAGES = "capVoltages";

	//Mechanical
	public static final String PARTS = "parts";
	public static final String POS = "pos";
	public static final String SPEED = "speed";
	public static final String TEXTURE = "texture";
	public static final String AC = "Ac";
	public static final String WAVEFORM = "Wf";
	public static final String MAX_SPEED = "maxSpeed";
	public static final String SIDE_CONFIG = "sideConfig";


	private NBTKeys() {}
}
